import { _decorator, Component, Node } from 'cc';
import JNLayerBase from '../../../../extensions/ngame/assets/ngame/ui/base/JNLayerBase';
import JNScrollView from '../../../../extensions/ngame/assets/ngame/util/components/scrollview/JNScrollView';
import { TD } from '../../App';
const { ccclass, property } = _decorator;

@ccclass('MapSelectView')
export class MapSelectView extends JNLayerBase {

    //地图列表
    @property(JNScrollView)
    views:JNScrollView;

    onJNLoad(data?: any): void {
        super.onJNLoad(data);

        this.views.refreshData(TD.TbGOnHookMaps.getDataList())
        
    }

}


